<!DOCTYPE html>
<html lang="en">

<head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>

  <div class="container">
    <div class="text-center my-4">
      <h2>Danh sách người dùng</h2>
    </div>

    <table id="table-select" class="table table-bordered table-striped table-hover">
      <thead>
        <tr>
          <th>Mã người dùng</th>
          <th>Firstname</th>
          <th>Lastname</th>
          <th>Age</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>13528</td>
          <td>John</td>
          <td>Doe</td>
          <td>23</td>
          <td>...</td>
        </tr>
        <tr>
          <td>23528</td>
          <td>Mary</td>
          <td>Moe</td>
          <td>42</td>
          <td>...</td>
        </tr>
        <tr>
          <td>13348</td>
          <td>July</td>
          <td>Dooley</td>
          <td>54</td>
          <td>...</td>
        </tr>
      </tbody>
    </table>
  </div>
  ​
  <script>
    $(document).ready(function (){
     
    
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gJsonUser = `{
    "description": "Data user",
    "users": [
      {
        "userId": 1,
        "firstname": "Test1",
        "lastname": "User1",
        "age": 18
      },
      {
        "userId": 2,
        "firstname": "Test2",
        "lastname": "User2",
        "age": 19
      },
      {
        "userId": 3,
        "firstname": "Test3",
        "lastname": "User3",
        "age": 18
      },
      {
        "userId": 4,
        "firstname": "Test4",
        "lastname": "User4",
        "age": 20
      },
      {
        "userId": 5,
        "firstname": "Test5",
        "lastname": "User5",
        "age": 21
      },
      {
        "userId": 6,
        "firstname": "Test6",
        "lastname": "User6",
        "age": 20
      }
    ]
  }`;
  var gDb =JSON.parse(gJsonUser);
  console.log(gDb);
  var gUserData = gDb.users ; // lấy ra mảng dữ liệu từ cơ sở dữ liệu 
  console.log(gUserData);
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    onPageLoadDing();
    $(document).on("click",".user-detail", function(){
      onBthDetailClick(this);
    })

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoadDing()
    {
      console.log("Tải trang");
      $("#table-select tbody").empty();
      for(var bI = 0 ; bI < gUserData.length ;bI++)
      {
      var vHtml = "";
      vHtml +=  "<tr>" ;
        vHtml += "<td>" + gUserData[bI].userId + "</td>";
        vHtml += " <td>"+ gUserData[bI].firstname +"</td>";
        vHtml += "<td>"+ gUserData[bI].lastname +"</td>";
        vHtml += "<td>"+ gUserData[bI].age +"</td>";
        vHtml += " <td><button class='btn btn-primary user-detail'>Chi tiết</button></td>";
        vHtml += " </tr>";
        $("#table-select tbody").append(vHtml);
      }
    }
  })
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function onBthDetailClick(paramButton)
    {
      var vRow = $(paramButton).closest("tr");
      var vId = vRow.find("td:nth-child(1)").text(); // lấy ra nội dung của Id
      var vFirstName = vRow.find("td:nth-child(2)").text();
      var vLastName = vRow.find("td:nth-child(3)").text();
      var vAge = vRow.find("td:nth-child(4)").text();
      console.log("UserId : " + vId);
      console.log("Firstname : " + vFirstName);
      console.log("LastName : " + vLastName);
      console.log("Age : " + vAge);
    }

    
  </script>
</body>

</html>
​